AIJob (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.server.session.AIJob class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.server.session
Class AIJob

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseJob
          org.hyperic.hq.autoinventory.server.session.AIJob

All Implemented Interfaces:
  org.quartz.Job

Direct Known Subclasses:
  AIScanGroupJob, AIScanJob

    public abstract class AIJob

extends BaseJob

Field Summary
`protected static int` | `JOB_WAIT_INTERVAL`
`protected org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PROP_CONFIG`
`static java.lang.String` | `PROP_SCAN_OS`
`static java.lang.String` | `PROP_SCANDESC`
`static java.lang.String` | `PROP_SCANNAME`

Fields inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`manager, PROP_DESCRIPTION, PROP_ID, PROP_ORDER, PROP_SCHEDULED, PROP_SCHEDULESTRING, PROP_SUBJECT, PROP_TYPE`

Constructor Summary
`AIJob()`

Method Summary
`protected AIHistory` | `createHistory(AppdefEntityID id, java.lang.Integer groupId, java.lang.Integer batchId, java.lang.String subjectName, ScanConfigurationCore config, java.lang.String scanName, java.lang.String scanDesc, java.lang.Boolean scheduled, long startTime, long stopTime, long scheduleTime, java.lang.String status, java.lang.String errorMessage)`
`protected java.lang.Integer` | `doAgentScan(AppdefEntityID id, AppdefEntityID gid, java.lang.Integer groupId, java.lang.Integer batchId, AuthzSubject subject, java.util.Date dateScheduled, java.lang.Boolean scheduled, ScanConfigurationCore scanConfig, java.lang.String scanName, java.lang.String scanDesc)` Do a control command on a single appdef entity
`protected org.hyperic.hq.autoinventory.shared.AutoinventoryManagerLocal` | `getAutoInventoryManager()`
`protected ScanConfigurationCore` | `getScanConfig(org.quartz.JobDataMap dataMap)` loads the scan config object
`protected void` | `removeHistory(AIHistory history)`
`protected void` | `updateHistory(java.lang.Integer jobId, long endTime, java.lang.String status, java.lang.String message)`

Methods inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`execute, executeInSession, getOrder, getSubject, getSubjectManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOB_WAIT_INTERVAL

    protected static final int JOB_WAIT_INTERVAL

See Also:
  Constant Field Values

### PROP_CONFIG

    public static final java.lang.String PROP_CONFIG

See Also:
  Constant Field Values

### PROP_SCAN_OS

    public static final java.lang.String PROP_SCAN_OS

See Also:
  Constant Field Values

### PROP_SCANNAME

    public static final java.lang.String PROP_SCANNAME

See Also:
  Constant Field Values

### PROP_SCANDESC

    public static final java.lang.String PROP_SCANDESC

See Also:
  Constant Field Values

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### AIJob

    public AIJob()

Method Detail

### doAgentScan

    protected java.lang.Integer doAgentScan(AppdefEntityID id,
                                            AppdefEntityID gid,
                                            java.lang.Integer groupId,
                                            java.lang.Integer batchId,
                                            AuthzSubject subject,
                                            java.util.Date dateScheduled,
                                            java.lang.Boolean scheduled,
                                            ScanConfigurationCore scanConfig,
                                            java.lang.String scanName,
                                            java.lang.String scanDesc)
                                     throws AutoinventoryException

  Do a control command on a single appdef entity

  Returns:
    The job id
  Throws:
    `AutoinventoryException`

### removeHistory

    protected void removeHistory(AIHistory history)
                          throws javax.naming.NamingException,
                                 javax.ejb.CreateException

  Throws:
    `javax.naming.NamingException`
    `javax.ejb.CreateException`

### createHistory

    protected AIHistory createHistory(AppdefEntityID id,
                                      java.lang.Integer groupId,
                                      java.lang.Integer batchId,
                                      java.lang.String subjectName,
                                      ScanConfigurationCore config,
                                      java.lang.String scanName,
                                      java.lang.String scanDesc,
                                      java.lang.Boolean scheduled,
                                      long startTime,
                                      long stopTime,
                                      long scheduleTime,
                                      java.lang.String status,
                                      java.lang.String errorMessage)
                               throws javax.ejb.CreateException,
                                      javax.naming.NamingException,
                                      AutoinventoryException

  Throws:
    `javax.ejb.CreateException`
    `javax.naming.NamingException`
    `AutoinventoryException`

### updateHistory

    protected void updateHistory(java.lang.Integer jobId,
                                 long endTime,
                                 java.lang.String status,
                                 java.lang.String message)
                          throws javax.ejb.FinderException,
                                 javax.ejb.CreateException,
                                 javax.naming.NamingException

  Throws:
    `javax.ejb.FinderException`
    `javax.ejb.CreateException`
    `javax.naming.NamingException`

### getAutoInventoryManager

    protected org.hyperic.hq.autoinventory.shared.AutoinventoryManagerLocal getAutoInventoryManager()
                                                                                             throws javax.naming.NamingException,
                                                                                                    javax.ejb.CreateException

  Throws:
    `javax.naming.NamingException`
    `javax.ejb.CreateException`

### getScanConfig

    protected ScanConfigurationCore getScanConfig(org.quartz.JobDataMap dataMap)
                                           throws java.io.IOException

  loads the scan config object

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.